Announcement

Collapse
No announcement yet.

Ubuntu Gets Another ATI Catalyst Driver Handout

Collapse
X
  • Filter
  • Time
  • Show
Clear All
new posts

  • #16
    and AMD does it again

    we need some working package for amd64 for arch, gentoo, etc. (other distributions than *buntu) please

    does Direct2D work with compositing now ? or does it still cripple (== make it unable to work & hardlock) compositing, effectively only allowing one or the other ?

    support for 2.6.33 should be no problem

    I'm concerned whether it works on other distributions, support for xorg-server 1.7* is a welcome addition

    Thanks !

    Comment


    • #17
      I don't think Direct2D is enabled by default yet. When it's finished we'll tell you, honest

      Comment


      • #18
        I don't know if this code has it to the beta group yet (and hence to the packagers) but if not I think it should be there soon. I need to pay more attention to the beta list emails...

        Comment


        • #19
          Well, its not hard to rebuild this ubuntu's package.
          Actually i already did that and prepared packages for arch...
          If some arch user is interesting - http://bbs.archlinux.org/viewtopic.p...728348#p728348

          Comment


          • #20
            I play Dungeons and Dragons Online, noticed that 10.x started throwing the geometry out of sync. Fire for a tourch would appear 10 feet from where it was suppose to be burning. Huge triangles appeared out of my character.

            I decided it must be a bad interaction between Wine and Fglrx.

            I've been installing the drivers in recovery mode on Karmic.

            Comment


            • #21
              Come on people stop torturing yourself!

              Let's all keep focus on OSS Radeon driver and never ever install this crappy fglrx again. It's been several years and still crap.

              For me its either OSS Radeon or Binary Nvidia, period.

              Comment


              • #22
                Come on people stop torturing yourself!

                Let's all keep focus on OSS Radeon driver and never ever install this crappy fglrx again. It's been several years and still crap.

                I own a FirePRO V8750, all 3D related stuff (CAD, Gaming) I do in Windows 7. In Ubuntu Karmic, with 2.6.33 kernel the OSS driver works just fine, with Compiz, XV, EXA all fluid. The only down side is v-sync and I am totally happy about the OSS driver.

                For me its either OSS Radeon or Binary Nvidia, period.

                Comment


                • #23
                  Originally posted by FunkyRider View Post
                  Come on people stop torturing yourself!

                  Let's all keep focus on OSS Radeon driver and never ever install this crappy fglrx again. It's been several years and still crap.

                  I own a FirePRO V8750, all 3D related stuff (CAD, Gaming) I do in Windows 7. In Ubuntu Karmic, with 2.6.33 kernel the OSS driver works just fine, with Compiz, XV, EXA all fluid. The only down side is v-sync and I am totally happy about the OSS driver.

                  For me its either OSS Radeon or Binary Nvidia, period.
                  Your mom is open source.

                  Sorry, but no, I agree w/ u.

                  I'm very interested in how the latest AMD OSS driver(s) is/are doing vs. fglrx.

                  Comment


                  • #24
                    Could someone explain to me the reason AMD is not able to support newer Xservers and kernels like nvidia does? I mean the real reason, not some BS excuse. I simply cannot understand why they are doing this. I own an ATI 3870 and since i want to use Arch, i am restricted to the opensource driver(git). I do not want to install this crappy distro called Ubuntu, whose only puprose is easy install for n00bs, just to get proper 3d for a GPU i paid 210 euros.

                    I seriously doubt i will buy again amd gpus in the near future, and this is a pitty since i had a nice gaming experience using my gpu on windows, and i am pleased by amd hardware in general.

                    Comment


                    • #25
                      I'm playing HON right now with that driver but after the clean install.The problem with every release is that it always screws up Blender.For some reason if I apply back-clear patch I can't click menus and all movements in 3D mode in Blender become corrupted.Only thing that helps is if I turn off composition.Doesn't matter if it's metacity,mutter or compiz,but then I have to turn off docky too and all videos on youtube becomes somehow unmatchable because some kind of white lines.For the life of me it's always something.Other than that every game works. :/

                      Comment


                      • #26
                        @bridgman

                        As you might not know, the orig.tar.gz does NOT contain everything from the normal installer, but as the driver is already public why don't put it onto the normal ati page? Maybe as hotfix driver or whatever so that others could use it more easyly.

                        Comment


                        • #27
                          Kano; agreed. I will ask.

                          Comment


                          • #28
                            So I installed those drivers and I ended with black screen at startup. Using live cd, I already tried removing everything with "fglrx" in its name, and few "ati" folders, but it didn't changed nothing. Then I fought, deleting xorg.conf would be a good idea, but I was wrong.

                            How do I fix broken ATI drivers ?

                            Comment


                            • #29
                              This driver isn't working for me neither.
                              It complains about a missing libfglrxdrm.so, but that file is indeed installed?

                              Af the driver stating libfglrxdrm.so is missing, I get a complete crash of xorg and a backtrace.

                              Comment


                              • #30
                                @yaji
                                Maybe you manage that with a hd5 card in live mode and U - very unlikely that you can unload the kms drivers correctly however. For Kanotix it often works live even with other cards using
                                Code:
                                sudo -i
                                update-scripts-kanotix.sh
                                install-fglrx-debian.sh

                                Comment

                                Working...
                                X